/****************************************************************************************
=========================================================================================
=
= G L O B A L E S   S T Y L E S H E E T
= F E U E R W E H R   D E R   S T A D T   H A M M / W E S T F A L E N
=
= @version:        v.0.7
= @filename:       style.css
= @last change:    Martin Dix, 2010-03-28
=
=========================================================================================
****************************************************************************************/

/****************************************************************************************
=========================================================================================
= IMPORTS FROM OTHER CSS-FILES LOCATED AT THE FILESYSTEM BY THIS FILE
=========================================================================================
****************************************************************************************/
@import url(css_login.css);
@import url(css_index.css);
@import url(css_navigation.css);
@import url(css_news.css);
@import url(css_datepickercontrol.css);

/****************************************************************************************
=========================================================================================
= STANDARD STYLES
=========================================================================================
****************************************************************************************/

body {
    font-family: Verdana;
    font-size: 12px;
    color: Black;
    background-color: #F0F0F0;
    text-align: center;
    margin: 0px;
}

img { border: none; }
img.grayborder { border: 1px solid gray; padding: 1px; }

a:link, a:active, a:visited { color: #006EB6; text-decoration: none; }
a:hover { color: #006EB6; text-decoration: underline; }


/****************************************************************************************
=========================================================================================
= HEADLINES
=========================================================================================
****************************************************************************************/

h1, h2, h3, h4, h5, h6 {
     color: Red;
     font-weight: bold;
     line-height: 1.2em;
}

h1 { font-size: 20px; }
h2 { font-size: 18px; }
h3, h4, h5, h6 { font-size: 16px; }


/****************************************************************************************
=========================================================================================
= FORMULAR STYLES
=========================================================================================
****************************************************************************************/

input, textarea, select {
    border: 1px solid #8B8B8B;
    color: #8B8B8B;
    padding: 2px;
    margin: 1px 1px 2px 1px;
}

input:hover, textarea:hover, select:hover {
    border: 1px solid black;
    color: #8B8B8B;
}

input:focus, input:active, textarea:focus, textarea:active, select:focus, select:active {
    border: 1px dotted black;
    background-color: #FFFFCC;
    color: Black;
}

label {
    color: Gray;
    font-weight: bold;
    display: inline-block;
    width: 175px;
}

input[type=submit], input[type=reset], input[type=button] {
    border: 1px solid #8B8B8B;
    background-color: #EAEAEA;
    color: #8B8B8B;
    padding: 2px 18px 2px 18px;
}

input[type=submit]:focus, input[type=submit]:active, input[type=submit]:hover,
input[type=reset]:focus, input[type=reset]:active, input[type=reset]:hover,
input[type=button]:focus, input[type=button]:active, input[type=button]:hover {
    border: 1px solid black;
    background-color: #e1e1e1;
    color: black;
    cursor: pointer;
    padding: 2px 18px 2px 18px;
}

fieldset {
    border: 1px dotted #8B8B8B;
    padding: 15px;
    margin: 10px 0px 10px 0px;
}

legend {
    padding: 3px 25px 3px 25px;
    margin-left: 30px;
    font-size: 16px;
    font-weight: bold;
    color: red;
    background-color: #FFCCCC;
}


/****************************************************************************************
=========================================================================================
= OTHER STYLES
=========================================================================================
****************************************************************************************/

.center { text-align: center; }
.right { text-align: right; }
.spanred { display: block; color: red; font-weight: bold; margin: 9px 0px 9px 0px;}
.spangreen { display: block; color: green; font-weight: bold; margin: 9px 0px 9px 0px;}
.textred {color: red;}
.textgreen {color: green; }

.red {
         text-align: center;
         display: block;
         border: 2px solid red;
         background-color: #FFCCCC;
         font-weight: bold;
         margin: 9px 0px 9px 0px;
         padding: 7px;
}

.green {
         text-align: center;
         display: block;
         border: 2px solid green;
         background-color: #CCFFCC;
         font-weight: bold;
         margin: 9px 0px 9px 0px;
         padding: 7px;
}

.width05 { width: 5%; }
.width10 { width: 10%; }
.width15 { width: 15%; }
.width20 { width: 20%; }
.width25 { width: 25%; }
.width30 { width: 30%; }
.width35 { width: 35%; }
.width40 { width: 40%; }
.width50 { width: 50%; }
.width100 { width: 100%; }
.middle { vertical-align: middle; }
.top { vertical-align: top; }

.hover:hover { background-color: #CCFFCC; }

.borderblock {
         border: 2px solid #666666;
         background-color: #D6D6D6;
         padding: 8px;
         margin: 5px 0px 10px 0px;
}


/****************************************************************************************
=========================================================================================
= CSS GLOBAL DEFINITIONS FOR TABELS
=========================================================================================
****************************************************************************************/
table {
        padding: 0px 0px 0px 0px;
        margin: 0px 0px 0px 0px;
        border-collapse: collapse;
}

table th {
        padding: 4px 5px 4px 5px;
        margin: 0px 0px 0px 0px;
        font-weight: bold;
        font-size: 14px;
        background-color: #EEEEEE;
        border-left: 1px solid #D6D6D6;
        border-bottom: 3px solid #D6D6D6;
        border-top: 1px solid #D6D6D6;
        border-right: 1px solid #D6D6D6;
        text-align: left;
        background-image: url('../images/bg_th.gif');
        background-position: bottom left;
        background-repeat: repeat-x;
}

table tr.row2, table tr.marketRow3 {
        background-color: #F2F2F2;
}

table tr.row1, table tr.marketRow2 {
        background-color: #ffffff;
        color: #707070;
}

table tr.row3, table tr.marketRow1 {
        background-color: #FFEE9F;
}

table tr.row4, table tr.marketRow4 {
        background-color: #EFEFEF;
}

table tr.hide, table tr.hide td {
        display: none;
}

table td {
        padding: 3px 5px 3px 5px;
        margin: 0px 0px 0px 0px;
        border: 1px solid #D6D6D6;
        vertical-align:top;
        border-collapse: collapse;
}

table td.none, table.noborder td, table.noborder tr {
        border: none;
        padding: 0px 0px 0px 0px;
        border: 0px;
}



/****************************************************************************************
=========================================================================================
= GLOBAL DEFINITIONS FOR BUTTON STYLES
=========================================================================================
****************************************************************************************/
.button, .button_active {
        margin-top:3px;
        display:inline-block;
        width: auto;
        visibility:visible;
        margin:0 2px 0 0;
        font-size:90%;
        background: #e4e4e4;
}

a.button, a.button:active, a.button:link, a.button:hover, a.button:visited {
        text-decoration: none;
        color: #888;
}

.button b {
        display:inline-block;
        width: auto;
        margin:0 1px;
        border:solid #aaa;
        border-width:1px 0;
        padding:0;
        font-weight:normal;
        background: #ddd url('../images/button.gif') repeat-x 0 0;
        text-decoration:none;
}

.button_active b {
        display:inline-block;
        width: auto;
        margin:0 1px;
        border:solid red;
        border-width:1px 0;
        padding:0;
        font-weight:normal;
        background: #ddd url('../images/button.gif') repeat-x 0 0;
        text-decoration:none;
        color: black;
}

.button b:hover, .button b:visited, .button b:active {
        text-decoration:none;
        border-color: #555;
        color: black;
}

.button b b, .button_active b b {
         background:none;
         margin:0 -1px;
         padding:1px 7px 1px 7px;
         border-width:0 1px;
}

.button b b b {
         margin:0;
         padding:2px .2em;
         border-width:0;
         cursor:pointer;
}

.button_active b b b {
         margin:0;
         padding:2px .2em;
         border-width:0;
}
